## EXPORT_SPEC int ixmlElement_setAttributeNode

## (IXML_Element* element,
IXML_Attr* newAttr,
IXML_Attr** rtAttr )

> Adds a new attribute node to an Element.

## Documentation

> Adds a new attribute node to an Element. If an attribute already exists with newAttr as a name, it will be replaced with the new one and the old one will be returned in rtAttr.

Parameters:
  element - The Element in which to add the new attribute.
  newAttr - The new Attr to add.
  rtAttr - A pointer to an Attr where the old Attr will be stored. This will have a `NULL` if no prior node existed.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either element or newAttr is `NULL`.
  - `IXML_WRONG_DOCUMENT_ERR`: newAttr does not belong to the same one as element.
  - `IXML_INUSE_ATTRIBUTE_ERR`: newAttr is already an attribute of another Element.

Alphabetic index

This page was generated with the help of DOC++.